PropertyException (Java Platform SE 8 )
Keywords: javax.xml.bind.PropertyException class
Date: 2016-04-24

javax.xml.bind

## Class PropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.bind.JAXBException
      - - javax.xml.bind.PropertyException

- All Implemented Interfaces:
    Serializable

      public class PropertyException
      extends JAXBException

  This exception indicates that an error was encountered while getting or setting a property.
  Since:
    JAXB1.0
  See Also:
    `JAXBContext`, `Validator`, `Unmarshaller`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyException(String message)` Construct a PropertyException with the specified detail message.
    `PropertyException(String name, Object value)` Construct a PropertyException whose message field is set based on the name of the property and value.toString().
    `PropertyException(String message, String errorCode)` Construct a PropertyException with the specified detail message and vendor specific errorCode.
    `PropertyException(String message, String errorCode, Throwable exception)` Construct a PropertyException with the specified detail message, vendor specific errorCode, and linkedException.
    `PropertyException(String message, Throwable exception)` Construct a PropertyException with the specified detail message and linkedException.
    `PropertyException(Throwable exception)` Construct a PropertyException with a linkedException.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.bind.JAXBException

      `getCause, getErrorCode, getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyException

          public PropertyException(String message)

      Construct a PropertyException with the specified detail message. The errorCode and linkedException will default to null.
      Parameters:
        `message` - a description of the exception

    - #### PropertyException

          public PropertyException(String message,
                                   String errorCode)

      Construct a PropertyException with the specified detail message and vendor specific errorCode. The linkedException will default to null.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code

    - #### PropertyException

          public PropertyException(Throwable exception)

      Construct a PropertyException with a linkedException. The detail message and vendor specific errorCode will default to null.
      Parameters:
        `exception` - the linked exception

    - #### PropertyException

          public PropertyException(String message,
                                   Throwable exception)

      Construct a PropertyException with the specified detail message and linkedException. The errorCode will default to null.
      Parameters:
        `message` - a description of the exception
        `exception` - the linked exception

    - #### PropertyException

          public PropertyException(String message,
                                   String errorCode,
                                   Throwable exception)

      Construct a PropertyException with the specified detail message, vendor specific errorCode, and linkedException.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code
        `exception` - the linked exception

    - #### PropertyException

          public PropertyException(String name,
                                   Object value)

      Construct a PropertyException whose message field is set based on the name of the property and value.toString().
      Parameters:
        `name` - the name of the property related to this exception
        `value` - the value of the property related to this exception

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.